Skip to content

Option Chain

Type APIs Details
POST {{BASE_URL}}open-api/od/optionChain/getUnderlying Fetches the list of available underlyings (indices or symbols) for which Option Chain data can be retrieved.
POST {{BASE_URL}}open-api/od/optionChain/getUnderlyingExp Retrieves the list of available expiry dates for a given underlying symbol.
POST {{BASE_URL}}open-api/od/optionChain/getOptionChain Fetches the complete Option Chain data for a specific underlying and expiry.

Get Underlying List

Request Structure

{ 
  "exch": "bse_fo" 
} 

Input parameters

Field Type Criticality Description
exch String Required Exchange code. Possible values:
  • nse_fo – NSE Options
  • bse_fo – BSE Options
  • mcx_fo – MCX Options

Response Structure

{
    "status": "Ok",
    "message": "Success",
    "result": [
        {
            "list_underlying": [
                "SENSEX",
                "BANKEX",
                "FOCIT"
            ]
        }
    ]
} 

Response Parameters

Field Type Description
list_underlying Array[String] List of underlying symbols available for Option Chain data.

Get Underlying Expiry

Request Structure

{  
"underlying": "SENSEX", 
"exch": "bse_fo"
}

Request Parameters

Field Type Description
underlying String Underlying symbol. Get the list from /getUnderlying API.
exch String Exchange code (nse_fo, bse_fo, mcx_fo).

Response Structure

{
    "status": "Ok",
    "message": "Success",
    "result": [
        {
            "underlying": "SENSEX",
            "underlying_expiry": [
                "03SEP26",
                "10SEP26",
                "17SEP26",
                "24SEP26",
                "01OCT26",
                "08OCT26",
                "15OCT26",
                "29OCT26",
                "26NOV26",
                "31DEC26"
            ]
        }
    ]
}

Response Parameters

Field Type Description
underlying String Name of the underlying.
underlying_expiry Array[String] List of expiry dates for the given underlying.

Get Option Chain

Request Structure

{
    "underlying": "Sensex",
    "expiry": "26NOV26",
    "interval": "10",
    "exch": "bse_fo"
}

Input Parameters

Field Type Description
underlying String Underlying symbol (e.g., NIFTY).
expiry String Expiry date from /getUnderlyingExp API.
interval Number Strike price interval. Possible values: 5, 10, 15, 20, 25.
exch String Exchange code (nse_fo, bse_fo, mcx_fo).

Response Structure

{
    "status": "Ok",
    "message": "Success",
    "result": [
        {
            "data": [
                {
                    "CE": {
                        "forInsName": "SENSEX 26th NOV 75600 CE",
                        "gval": "0",
                        "ltp": "0",
                        "oi": "0",
                        "pdc": "0",
                        "pdoi": "0",
                        "token": "1102376",
                        "tradingsymbol": "SENSEX26NOV75600CE"
                    },
                    "PE": {
                        "forInsName": "SENSEX 26th NOV 75600 PE",
                        "gval": "0",
                        "ltp": "0",
                        "oi": "0",
                        "pdc": "0",
                        "pdoi": "0",
                        "token": "1105742",
                        "tradingsymbol": "SENSEX26NOV75600PE"
                    },
                    "strikeprice": "75600"
                },
                {
                    "CE": {
                        "forInsName": "SENSEX 26th NOV 75700 CE",
                        "gval": "0",
                        "ltp": "0",
                        "oi": "0",
                        "pdc": "0",
                        "pdoi": "0",
                        "token": "1107467",
                        "tradingsymbol": "SENSEX26NOV75700CE"
                    },
                    "PE": {
                        "forInsName": "SENSEX 26th NOV 75700 PE",
                        "gval": "0",
                        "ltp": "0",
                        "oi": "0",
                        "pdc": "0",
                        "pdoi": "0",
                        "token": "1101868",
                        "tradingsymbol": "SENSEX26NOV75700PE"
                    },
                    "strikeprice": "75700"
        } 
      ] 
    } 
  ] 
}

Response Parameters

Field Type Description
CE Object Call option details.
PE Object Put option details.
gval String Greeks or calculated value (if applicable).
ltp String Last traded price
oi String Open interest.
pdc String Previous day close.
pdoi String Previous day open interest.
token String Unique token ID for the contract.
tradingsymbol String Trading symbol for the contract.
strikeprice String Strike price of the contract.